
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef CLONE_SCAN_H
#define CLONE_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientDecode.h"

#include "server/tclservClient/genBasicTclservClientDecode.h"


/* Structures du module */
#include "server/clonePosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_CLONE_SPEECH_POSTER_STR (char** buf, struct CLONE_SPEECH_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_CLONE_STR (char** buf, struct CLONE_STR *x, int nDim, int *dims );
int scan_buf_struct_CLONE_STEREOTYPE (char** buf, struct CLONE_STEREOTYPE *x, int nDim, int *dims );
int scan_buf_enum_CLONE_STEREOTYPE_TYPE (char** buf, enum CLONE_STEREOTYPE_TYPE *x, int nDim, int *dims );
int scan_buf_struct_CLONE_SPEECH_OBJ (char** buf, struct CLONE_SPEECH_OBJ *x, int nDim, int *dims );
int scan_buf_struct_CLONE_TRACK (char** buf, struct CLONE_TRACK *x, int nDim, int *dims );
int scan_buf_struct_CLONE_LOOK_AT_POINT (char** buf, struct CLONE_LOOK_AT_POINT *x, int nDim, int *dims );
int scan_buf_struct_CLONE_LOOK_AT (char** buf, struct CLONE_LOOK_AT *x, int nDim, int *dims );
int scan_buf_enum_CLONE_MOTION (char** buf, enum CLONE_MOTION *x, int nDim, int *dims );
int scan_buf_enum_CLONE_FRAME (char** buf, enum CLONE_FRAME *x, int nDim, int *dims );
int scan_buf_struct_CLONE_SENTENCE (char** buf, struct CLONE_SENTENCE *x, int nDim, int *dims );
int scan_buf_struct_CLONE_SPEECH (char** buf, struct CLONE_SPEECH *x, int nDim, int *dims );
int scan_buf_struct_CLONE_PLAY_FILE_PARAMS (char** buf, struct CLONE_PLAY_FILE_PARAMS *x, int nDim, int *dims );
int scan_buf_struct_CLONE_WINDOW_SIZES (char** buf, struct CLONE_WINDOW_SIZES *x, int nDim, int *dims );
int scan_buf_struct_CLONE_WINDOW_PARAMS (char** buf, struct CLONE_WINDOW_PARAMS *x, int nDim, int *dims );
int scan_buf_struct_CLONE_INIT (char** buf, struct CLONE_INIT *x, int nDim, int *dims );
int scan_buf_struct_CLONE_POS_CORR (char** buf, struct CLONE_POS_CORR *x, int nDim, int *dims );
int scan_buf_struct_CLONE_POS (char** buf, struct CLONE_POS *x, int nDim, int *dims );
int scan_buf_enum_CLONE_MODEL (char** buf, enum CLONE_MODEL *x, int nDim, int *dims );
int scan_buf_enum_CLONE_STATE (char** buf, enum CLONE_STATE *x, int nDim, int *dims );
int scan_buf_enum_CLONE_BOOL (char** buf, enum CLONE_BOOL *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_CLONE_BOOL (char** buf, CLONE_BOOL *x, int nDim, int *dims );
int scan_buf_CLONE_STATE (char** buf, CLONE_STATE *x, int nDim, int *dims );
int scan_buf_CLONE_MODEL (char** buf, CLONE_MODEL *x, int nDim, int *dims );
int scan_buf_CLONE_POS (char** buf, CLONE_POS *x, int nDim, int *dims );
int scan_buf_CLONE_POS_CORR (char** buf, CLONE_POS_CORR *x, int nDim, int *dims );
int scan_buf_CLONE_INIT (char** buf, CLONE_INIT *x, int nDim, int *dims );
int scan_buf_CLONE_WINDOW_PARAMS (char** buf, CLONE_WINDOW_PARAMS *x, int nDim, int *dims );
int scan_buf_CLONE_WINDOW_SIZES (char** buf, CLONE_WINDOW_SIZES *x, int nDim, int *dims );
int scan_buf_CLONE_PLAY_FILE_PARAMS (char** buf, CLONE_PLAY_FILE_PARAMS *x, int nDim, int *dims );
int scan_buf_CLONE_SPEECH (char** buf, CLONE_SPEECH *x, int nDim, int *dims );
int scan_buf_CLONE_SENTENCE (char** buf, CLONE_SENTENCE *x, int nDim, int *dims );
int scan_buf_CLONE_FRAME (char** buf, CLONE_FRAME *x, int nDim, int *dims );
int scan_buf_CLONE_MOTION (char** buf, CLONE_MOTION *x, int nDim, int *dims );
int scan_buf_CLONE_LOOK_AT (char** buf, CLONE_LOOK_AT *x, int nDim, int *dims );
int scan_buf_CLONE_LOOK_AT_POINT (char** buf, CLONE_LOOK_AT_POINT *x, int nDim, int *dims );
int scan_buf_CLONE_TRACK (char** buf, CLONE_TRACK *x, int nDim, int *dims );
int scan_buf_CLONE_SPEECH_OBJ (char** buf, CLONE_SPEECH_OBJ *x, int nDim, int *dims );
int scan_buf_CLONE_STEREOTYPE_TYPE (char** buf, CLONE_STEREOTYPE_TYPE *x, int nDim, int *dims );
int scan_buf_CLONE_STEREOTYPE (char** buf, CLONE_STEREOTYPE *x, int nDim, int *dims );
int scan_buf_CLONE_STR (char** buf, CLONE_STR *x, int nDim, int *dims );
int scan_buf_CLONE_SPEECH_POSTER_STR (char** buf, CLONE_SPEECH_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* CLONE_SCAN_H */

